/*************************************************************************************************************
  RESETS
*************************************************************************************************************/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,
small,strike,strong,sub,sup,tt,var,dd,dl,dt,li,ol,ul,fieldset,form,label,legend,textarea,table,input,caption,tbody,tfoot,thead,tr,th,td,a,a:link,a:active,a:hover,
a:visited{background:transparent;border:0;font-family:inherit;font-size:100%;font-weight:normal;margin:0;padding:0;text-align:left;outline:0;}
table{border-collapse:collapse;border-spacing:0;}
ol,ul{list-style:none;}

/*************************************************************************************************************
  BASE ELEMENTS 
*************************************************************************************************************/
html {font-size:65%;}
body {font-size:100%;font-family:Arial,Helvetica,sans-serif;color:black;}
h1,h2,h3,h4,h5,h6 {font-weight:bold;padding:.5em;}
h1 {font-size:125%;}
h2 {font-size:120%;}
h3 {font-size:115%;}
h4 {font-size:110%;}
h5 {font-size:105%;}
h6 {font-size:100%;}
a,a:link,a:active {color:blue;text-decoration:underline;}
a:hover {color:teal;text-decoration:underline;}
p {margin:1em 2%;}
strong {font-weight:bold;}
em {font-style:italic;}
ul {margin:1em .5em;list-style:square inside none;}
ul li {margin:.2em 0;margin-left:.5em;}
ol {margin:1em .5em;}
ol li {margin:.3em 0;margin-left:.5em;}
iframe {display:block;width:100%;}
table {padding:0;margin:0 auto;width:100%;font-size:.85em;clear:both;}
table th {padding:.4em .6em;}
table td {padding:.4em .6em;}
form {margin:0;padding:0;}
fieldset {overflow:hidden;position:relative;}
legend {display:none;visibility:hidden;}
label {padding:.2em 0;margin:0 1em;margin-right:0;font-weight:bold;}
input {margin:0 1em;padding:.2em .3em;margin-right:0;font-weight:normal !important;}
select {margin:0 1em;padding:.2em .3em;margin-right:0;font-weight:normal !important;}
option {font-weight:normal !important;}
textarea {padding:.2em .5%;margin:0 1em;font-weight:normal !important;}
form ol {padding:0;margin:.5em 0;}
form ol li {float:left;clear:left;height:auto;margin:0;padding:.3em 0;width:100%;}
form ol li label {float:left;width:25%;padding:.2em 0;margin:0 1em;margin-right:0;}
form ol li input {float:left;margin:0 1em;padding:.2em;margin-right:0;width:50%;}
form ol li select {float:left;margin:0 1em;padding:.1em;margin-right:0;width:52%;}
form ol li textarea {float:left;width:95%;padding:.3em;margin:0 1em;}

/*************************************************************************************************************
  UI THEME OVERRIDES CLASSES
*************************************************************************************************************/
.ui-widget-content input {border:1px solid #999;background:#fff;}
.ui-widget-content select {border:1px solid #999;background:#fff;}
.ui-widget-content textarea {border:1px solid #999;background:#fff;}
.ui-widget-content .ui-button {margin:.5em 1em;margin-right:0;}
.ui-widget-content .ui-button span {font-weight:bold !important;}
.ui-widget-content .ui-widget-header {border-top:0;border-left:0;border-right:0;text-shadow: 0 1px 1px #777;text-align:center;font-size:90%;}
.ui-dialog-title {font-weight:bold;}
.ui-shadow {-moz-box-shadow: 0px 0px 10px rgba(0,0,0,.5);-webkit-box-shadow: 0px 0px 10px rgba(0,0,0,.5);box-shadow: 0px 0px 10px rgba(0,0,0,.5);}
.ui-shadow2 {-moz-box-shadow: 0px 0px 5px rgba(0,0,0,.5);-webkit-box-shadow: 0px 0px 5px rgba(0,0,0,.5);box-shadow: 0px 0px 5px rgba(0,0,0,.5);}
.ui-widget-overlay {opacity: 0.5 !important;_filter: alpha(opacity = 50) !important;background:#000 !important;}
.ui-auto-width {float:left !important;clear:left !important;width:96% !important;padding:.2em .5% !important;margin:0 1.8% !important;}
.ui-browser {margin:0;padding:0;font-size:100%;border:0 !important;background:#fff;}
.ui-browser-frame {position:relative;background:#fff !important;}
.ui-browser-frame th {cursor:pointer;white-space:nowrap;border:0 !important;}
.ui-browser-frame td {cursor:pointer;white-space:nowrap;background:#fff;color:#000;border-left:0 !important;border-right:0 !important;border-bottom:1px solid #999;border-top:1px solid #999;}
.ui-browser-frame tr.odd td {background:#fff;color:#000;}
.ui-browser-frame tr.even td {background:#e9e9e9;color:#000;}
.ui-browser-frame table {border-width:0px !important;}
.ui-browser-frame .dataTables_processing {position:absolute;top:50%;left:25%;width:50%;right:25%;border:1px solid #999;background:#eee;color:#000;text-align:center;padding:.5em 0;}
.ui-browser-frame .DataTables_sort_wrapper {padding:0;position:relative;font-weight:bold;padding-right:18px;min-height:16px;line-height:16px;}
.ui-browser-frame .DataTables_sort_wrapper .DataTables_sort_icon {position:absolute;top:0;right:0;}
.ui-browser-frame .fg-toolbar {font-size:1em;border-radius:0 !important;cursor:default !important;}
.ui-browser-frame .fg-toolbar .dataTables_processing {text-align:center;}
.ui-browser-frame .fg-toolbar .dataTables_paginate {float:right;}
.ui-browser-frame .fg-toolbar .dataTables_paginate .ui-button {margin-right:2px !important;padding:0 .2em !important;}
.ui-browser-frame .fg-toolbar .dataTables_info {float:left;padding:.5em;font-size:.9em;}
.ui-checkbox {width:auto;margin-right:0;line-height:100%;}
.ui-grouplist {float:left;width:70%;}
.ui-list-spacer {line-height:50%;}
.ui-error {border: 1px solid #ff0000;background: #FFC8C8 !important;color: #B20000 !important;}
.ui-success {border: 1px solid #006801;background: #C3FFC7 !important;color:#004A01 !important;}
.ui-warning {border: 1px solid #B79C00;background: #FFFFB7 !important;color: #6C6C00 !important;}
.ui-grey {border: 1px solid #c0c0c0;background: #808080 !important;color: #000000 !important;}
.ui-main-window-fullscreen {margin:0 !important;padding:0 !important;border:0 !important;-moz-box-shadow: 0px 0px 0px rgba(0,0,0,0);-webkit-box-shadow: 0px 0px 0px rgba(0,0,0,0);box-shadow: 0px 0px 10px rgba(0,0,0,0);}
.ui-no-width {width:auto !important;}
.ui-dialog {font-size:90% !important;}
.ui-dialog .ui-browser {font-size:120% !important;}
.ui-dialog .ui-widget-header {font-size:110% !important;}
.ui-tabs .ui-tabs-panel {padding:0 !important;}
.ui-pickimage {float:left;}
.sm-button {margin:0 .5em !important;}
.sm-button span {padding:0 1em !important;}
.ui-selectable-helper {z-index:10000 !important;}
.ui-slider {width:auto;float:left;margin:.5em 1em;}
.ui-spacer {width:1px;display:inline-block;margin:.5em;}

/*************************************************************************************************************
  GENERIC CLASSES 
*************************************************************************************************************/
.hide {display:none !important;visibility:hidden !important;}
.clear {clear:both !important;}
.clear-left {clear:left !important;}
.clear-right {clear:right !important;}
.clear-none {clear:none !important;}
.left {float:left !important;}
.right {float:right !important;}
.middle {margin-left: auto !important;margin-right: auto !important;}
.txt-left {text-align:left !important;}
.txt-right {text-align:right !important;}
.txt-center {text-align:center !important;}

/* Width Classes */
.width05 {width:5% !important;}
.width10 {width:10% !important;}
.width15 {width:15% !important;}
.width20 {width:20% !important;}
.width25 {width:25% !important;}
.width30 {width:30% !important;}
.width35 {width:35% !important;}
.width40 {width:40% !important;}
.width45 {width:45% !important;}
.width48 {width:48% !important;}
.width50 {width:50% !important;}
.width55 {width:55% !important;}
.width57 {width:57% !important;}
.width60 {width:60% !important;}
.width65 {width:65% !important;}
.width70 {width:70% !important;}
.width75 {width:75% !important;}
.width80 {width:80% !important;}
.width85 {width:85% !important;}
.width90 {width:90% !important;}
.width95 {width:95% !important;}
.width98 {width:98% !important;}
.width100 {width:100% !important;}

/* Top/Bottom Padding Classes */
.padding-tb-dot1em {padding-top:0.1em !important;padding-bottom:0.1em !important;}
.padding-tb-dot3em {padding-top:0.3em !important;padding-bottom:0.3em !important;}
.padding-tb-dot5em {padding-top:0.5em !important;padding-bottom:0.5em !important;}
.padding-tb-dot7em {padding-top:0.7em !important;padding-bottom:0.7em !important;}
.padding-tb-dot9em {padding-top:0.9em !important;padding-bottom:0.9em !important;}
.padding-tb-1em {padding-top:1em !important;padding-bottom:1em !important;}
.padding-tb-2em {padding-top:2em !important;padding-bottom:2em !important;}
.padding-tb-3em {padding-top:3em !important;padding-bottom:3em !important;}
.padding-tb-0em {padding-top:0em !important;padding-bottom:0em !important;}
/* Left/Right Padding Classes */
.padding-lr-dot1em {padding-left:0.1em !important;padding-right:0.1em !important;}
.padding-lr-dot3em {padding-left:0.3em !important;padding-right:0.3em !important;}
.padding-lr-dot5em {padding-left:0.5em !important;padding-right:0.5em !important;}
.padding-lr-dot7em {padding-left:0.7em !important;padding-right:0.7em !important;}
.padding-lr-dot9em {padding-left:0.9em !important;padding-right:0.9em !important;}
.padding-lr-1em {padding-left:1em !important;padding-right:1em !important;}
.padding-lr-2em {padding-left:2em !important;padding-right:2em !important;}
.padding-lr-3em {padding-left:3em !important;padding-right:3em !important;}
.padding-lr-0em {padding-left:0em !important;padding-right:0em !important;}
/* Full Padding Classes */
.padding-dot1em {padding:.1em !important;}
.padding-dot3em {padding:.3em !important;}
.padding-dot5em {padding:.5em !important;}
.padding-dot7em {padding:.7em !important;}
.padding-dot9em {padding:.9em !important;}
.padding-1em {padding:1em !important;}
.padding-2em {padding:2em !important;}
.padding-3em {padding:3em !important;}
/* One sided Padding values */
.padding-t-0em {padding-top:0em !important;}
.padding-b-0em {padding-bottom:0em !important;}
.padding-l-0em {padding-left:0em !important;}
.padding-r-0em {padding-right:0em !important;}
.padding-0em {margin:0em !important;}

/* Top/Bottom Margin Classes */
.margin-tb-dot1em {margin-top:0.1em !important;margin-bottom:0.1em !important;}
.margin-tb-dot3em {margin-top:0.3em !important;margin-bottom:0.3em !important;}
.margin-tb-dot5em {margin-top:0.5em !important;margin-bottom:0.5em !important;}
.margin-tb-dot7em {margin-top:0.7em !important;margin-bottom:0.7em !important;}
.margin-tb-dot9em {margin-top:0.9em !important;margin-bottom:0.9em !important;}
.margin-tb-1em {margin-top:1em !important;margin-bottom:1em !important;}
.margin-tb-2em {margin-top:2em !important;margin-bottom:2em !important;}
.margin-tb-3em {margin-top:3em !important;margin-bottom:3em !important;}
.margin-tb-0em {margin-top:0em !important;margin-bottom:0em !important;}
/* Left/Right Margin Classes */
.margin-lr-dot1em {margin-left:0.1em !important;margin-right:0.1em !important;}
.margin-lr-dot3em {margin-left:0.3em !important;margin-right:0.3em !important;}
.margin-lr-dot5em {margin-left:0.5em !important;margin-right:0.5em !important;}
.margin-lr-dot7em {margin-left:0.7em !important;margin-right:0.7em !important;}
.margin-lr-dot9em {margin-left:0.9em !important;margin-right:0.9em !important;}
.margin-lr-1em {margin-left:1em !important;margin-right:1em !important;}
.margin-lr-2em {margin-left:2em !important;margin-right:2em !important;}
.margin-lr-3em {margin-left:3em !important;margin-right:3em !important;}
.margin-lr-0em {margin-left:0em !important;margin-right:0em !important;}
/* Full Margin Classes */
.margin-dot1em {margin:.1em !important;}
.margin-dot3em {margin:.3em !important;}
.margin-dot5em {margin:.5em !important;}
.margin-dot7em {margin:.7em !important;}
.margin-dot9em {margin:.9em !important;}
.margin-1em {margin:1em !important;}
.margin-2em {margin:2em !important;}
.margin-3em {margin:3em !important;}
/* One sided margin values */
.margin-t-0em {margin-top:0em !important;}
.margin-b-0em {margin-bottom:0em !important;}
.margin-l-0em {margin-left:0em !important;}
.margin-r-0em {margin-right:0em !important;}
.margin-0em {margin:0em !important;}

/* Font Sizes */
.font-1dot3em {font-size:1.3em;}
.font-1dot2em {font-size:1.2em;}
.font-1dot1em {font-size:1.1em;}
.font-1dot0em {font-size:1.0em;}
.font-0dot9em {font-size:0.9em;}
.font-0dot8em {font-size:0.8em;}
.font-0dot7em {font-size:0.7em;}
.font-0dot6em {font-size:0.6em;}

/*************************************************************************************************************
  CALENDAR STYLES
*************************************************************************************************************/
.calendar {margin:0 auto;width:90%;}
.calendar .day {float:left;height:80px;width:13%;margin-right:0.3%;margin-left:0.3%;border-width:1px;margin-top:1%;}
.calendar .date {float:left;font-weight:bold;border:1px solid #999;border-top:0 !important;border-left:0 !important;width:20px;height:20px;text-align:center;line-height:20px;text-decoration:none;}
.calendar .day-text {clear:both;padding:1em 0;display:block;font-weight:bold;text-align:center;}
.calendar .label {height:auto;font-weight:bold;text-align:center;padding:.4em 0;border:1px solid #999;}

/*************************************************************************************************************
  FILTER TABLE COLORS
*************************************************************************************************************/
.row_active,.row_active td {background: #7FFF00 !important;color:#000 !important;}
.row_inactive,.row_inactive td {background:#FFFF00 !important;color:#000 !important;}
.row_full,.row_full td {background:#800000 !important;color:#fff !important;}
.row_over,.row_over td {background:#0000FF !important;color:#fff !important;}
.row_selected,.row_selected td {background: #3399FF !important;color:#fff !important;border-top:1px dashed #f3593f !important;border-bottom:1px dashed #f3593f !important;}

/*************************************************************************************************************
  BASE LAYOUT
*************************************************************************************************************/
#ui-main-window {width:1004px;height:748px;margin:.5em auto;border:4px solid #999;font-size:100%;position:relative;overflow:hidden;background-image:none;}
#ui-main-header {padding:.2em 1em;cursor:move;}
#ui-main-header-title {float:left;margin:.5em 0;font-size:130%;}
#ui-main-header-title span {font-weight:bold;margin-right:1em;text-shadow: 0 1px 1px #000;}
#ui-main-header-controls {float:right;display:none;}
#ui-main-header-controls .ui-button {margin:0;margin-right:0;}
#ui-main-header-controls .ui-button-text {line-height:14px;}
#ui-content {padding:0;margin:0;/*background:#c0c0c0;*/}

/*************************************************************************************************************
  FRAME STYLES
*************************************************************************************************************/
#ui-content form {padding:10px;}
#ui-content .ui-draggable .ui-widget-header {cursor:move;}
#ui-content .ui-main-frame {padding:0;margin:0;}
#ui-content .ui-main-frame .left {margin-right:0 !important;}
#ui-content .ui-main-frame .right {margin-left:0 !important;}
#ui-content .ui-main-frame .ui-frame {margin:1em;}
#ui-content .ui-main-frame .tabs-list {text-shadow:0 0 0 #fff !important;}
#ui-content .ui-main-frame .ui-radiocontrols {-moz-border-radius:0 !important; -webkit-border-radius:0 !important;border-radius:0 !important;background-image:none;}
#ui-content .ui-main-frame .ui-widget-header {text-align:center;text-shadow: 0 1px 1px #555;font-weight:bold !important;}
#ui-content .ui-main-frame .ui-frame .ui-widget-header {background-image:none;text-shadow:0 0 0 #fff;}
#ui-content .ui-state-disabled {opacity: .60 !important; _filter:Alpha(Opacity=60) !important;}
#ui-content .text-only {border-width:0px !important;background:transparent !important;opacity:1.0 !important;_filter: alpha(opacity = 100) !important;}
#ui-radioframes {-moz-border-radius:0 !important; -webkit-border-radius:0 !important;border-radius:0 !important;}

/*************************************************************************************************************
  MAIN HOME/SPLASH SCREEN
*************************************************************************************************************/
#ui-dashboard a {border:1px solid #707070;-moz-box-shadow: 0px 0px 3px rgba(0,0,0,.2);-webkit-box-shadow: 0px 0px 3px rgba(0,0,0,.2);box-shadow: 0px 0px 3px rgba(0,0,0,.2);}
#ui-dashboard a img {border:1px solid #f3f3f3;}
#ui-dashboard .ui-state-disabled {opacity: .20 !important; _filter:Alpha(Opacity=20) !important;}
.ui-hotbutton-group {display:none;}

/*************************************************************************************************************
  PAYMENT SCREEN
*************************************************************************************************************/
#xxprevbal {background:#0000ff;color:#fff;}
#xxnewfees {background:#008800;color:#fff;}
#xxnetamtdue {background:#ff0000;color:#fff;}
#xxtotnewfee {background:#ff0000;color:#fff;}

/*************************************************************************************************************
  CHANGE DUE SCREEN
*************************************************************************************************************/
#change-due {margin:0;padding:0;position:relative;background:#007f01;}
#change-due div {margin:0;padding:0;width:565px;height:174px;background:#007f01 url(../images/icons/ChangeDue.jpg) no-repeat center;position:absolute;top:50%;left:50%;margin-top:-87px;margin-left:-282px;}
#change-due div p {margin:0;padding:0;font-size:42px;color:#fff;padding-top:60px;padding-left:265px;}

/*************************************************************************************************************
  MISC STYLES
*************************************************************************************************************/
label.required {color:#ff0000 !important;}
label.ui-checkbox {margin-left:.8em;}
input.ui-checkbox {border:0 !important;}
/*input.ui-picklist,input.ui-date-picker {background:#008080 !important;color:#fff !important;}*/
#picklist {font-size:0.9em;padding:0 !important;margin:0 !important;padding-top:5px !important;}

/*************************************************************************************************************
  OVERRIDE ICONS (PAYMENT/FM/CONTROL BUTTONS)
*************************************************************************************************************/
.icon-print span,.icon-noprint span {display:none !important;}
.icon-print,a.icon-print,a.icon-print:link,a.icon-print:active,a.icon-print:visited,a.icon-print:hover,a.icon-print:focus {border:0;border-radius:0;height:40px;width:80px;padding:0;margin:.5em;background:#fff url(../images/icons/print2.jpg) no-repeat top left;}
.icon-noprint,a.icon-noprint,a.icon-noprint:link,a.icon-noprint:active,a.icon-noprint:visited,a.icon-noprint:hover,a.icon-noprint:focus {border:0;border-radius:0;height:40px;width:80px;padding:0;margin:.5em;background:#fff url(../images/icons/no-print2.jpg) no-repeat top left;}

/*************************************************************************************************************
  BROWSER COLUMN VIS STYLES
*************************************************************************************************************/
.ColVis {position:absolute;top:0;right:0;margin:0;padding:0;display:none;}
.ColVis .ui-button {margin:0 !important;padding:0 !important;background: #efefef url(../images/base/gear.gif) no-repeat center !important;width:100%;height:100%;cursor:pointer !important;}
div.ColVis_collectionBackground {opacity: 0.5 !important;_filter: alpha(opacity = 50) !important;background:#000 !important;z-index: 1100;}
div.ColVis_collection {position: relative;width:200px;background-color:#f9f9f9;border:1px solid #ccc;z-index: 1102;}
div.ColVis_collection button.ColVis_Button {cursor: pointer;text-align: left;padding:.2em;}
div.ColVis_collection button.ColVis_Button:hover {border: 1px solid #999;background-color: #f0f0f0;}
div.ColVis_catcher {position: absolute;z-index: 1101;}
span.ColVis_title {display: inline-block;height:16px;line-height:16px;font-size:0.7em;text-indent:.5em;}
span.ColVis_radio {display: inline-block;height:16px;}
span.ColVis_radio input {margin:0;padding:0}
button.ColVis_Restore {margin-top:.5em;text-align: center;}
button.ColVis_Restore span {display:block;text-align: center;}
.disabled {color: #999;}
div.dataTables_scrollHead {position: relative;overflow: hidden;}
div.dataTables_scrollBody {overflow-y: scroll;}
div.dataTables_scrollFoot {overflow: hidden;}

/*************************************************************************************************************
  USED IN DEBUGGING AREA
*************************************************************************************************************/
#debug {height:100px;width:75%;margin:.5em auto;overflow:scroll;border:3px solid #999;background:#fff;}
#debug .line {border-top:1px solid #ccc;border-bottom:1px solid #ccc;padding:.3em .5em;color:#333;background:#eee;margin:1px 0;}

/*************************************************************************************************************
  SETTINGS MENU
*************************************************************************************************************/
#ui-settings-menu {padding:.5em;}
#ui-settings-menu label {float:left;width:30%;}
#ui-settings-menu select {float:left;width:60%;}
#ui-settings-menu div {clear:both;padding-top:.5em;}